#if !defined(AFX_MSTATIC_H__BD23328A_C284_11D2_A3F2_0004ACC6A5DD__INCLUDED_)
#define AFX_MSTATIC_H__BD23328A_C284_11D2_A3F2_0004ACC6A5DD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MStatic.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMStatic window

class CMStatic : public CStatic
{
// Construction
public:
	CMStatic();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMStatic)
	//}}AFX_VIRTUAL

// Implementation
public:
	void SetForeColor( bool Mode, COLORREF Color=0 );
	bool SetItalic( bool Mode );
	void SetFontAttr(const char *Fontname, int Height=-1, int Width=-1, int Bold=-1, int Italic=-1, int Under=-1, int Fore=-1, COLORREF FontClr=0 );

	void UseHandCursor( bool Mode );
	void SetURL( const char* lpszCaption, const char* lpszURL );
	void SizeRectToFit();
	void SizeFontToFit( int Mode =0 );
	void SetText( const char* lpszCaption, const char * lpszCommand=0 );
	bool SetBold( bool Mode );
	bool SetUnderline( bool Mode );
	void DestroyCursor();
	bool LoadCursor( LPCSTR lpszResource );
	bool LoadCursor( UINT ID );
	bool bNoExecute;
	virtual ~CMStatic();

	// Generated message map functions
protected:

	bool bSharedCursor, bBold, bItalic, bUnderlined, bForeColor;
	COLORREF crForeColor;
	HCURSOR hCursor;
	CFont	cFont;
	CString Command;

	//{{AFX_MSG(CMStatic)
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	afx_msg void OnClicked();
	afx_msg void OnPaint();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MSTATIC_H__BD23328A_C284_11D2_A3F2_0004ACC6A5DD__INCLUDED_)
