// Shape.h: interface for the CShape class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SHAPE_H__BCC5CDD5_E584_11D3_A370_C9300D333C73__INCLUDED_)
#define AFX_SHAPE_H__BCC5CDD5_E584_11D3_A370_C9300D333C73__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// MG: Base class for other Shape objects
class CShape : public CObject  
{
public:
DECLARE_SERIAL( CShape )
	virtual void Serialize( CArchive& ar );
	virtual void OnDraw(  CDC* pDC );
	virtual void EndPoint( CPoint& Point);
	virtual void MidPoint( CPoint& Point);
	virtual void StartPoint( CPoint& Point );
	void MaxTwo( CPoint& Point );
	CShape();
	virtual ~CShape();
protected:
	CArray<CPoint,CPoint&> m_Points;

};

#endif // !defined(AFX_SHAPE_H__BCC5CDD5_E584_11D3_A370_C9300D333C73__INCLUDED_)
