// ShapeDiamond.cpp: implementation of the CShapeDiamond class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "MGShapes.h"
#include "ShapeDiamond.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

IMPLEMENT_SERIAL( CShapeDiamond, CShape, 1 )

CShapeDiamond::CShapeDiamond()
{

}

CShapeDiamond::~CShapeDiamond()
{

}

// MG: Sepcialized Diamond class
void CShapeDiamond::MidPoint(CPoint &Point)
{
	MaxTwo( Point ); 
}

void CShapeDiamond::EndPoint(CPoint &Point)
{
	MaxTwo( Point ); 	
}

void CShapeDiamond::OnDraw(CDC *pDC)
{
	if( m_Points.GetSize() == 2 )
	{
		CRect X( m_Points[0], m_Points[1]);
		pDC->MoveTo( X.left, X.top + (X.Height()/2));
		pDC->LineTo( X.left+(X.Width()/2), X.top );
		pDC->LineTo( X.right, X.top + (X.Height()/2));
		pDC->LineTo( X.left+(X.Width()/2), X.bottom );
		pDC->LineTo( X.left, X.top + (X.Height()/2));
	}
}

void CShapeDiamond::Serialize(CArchive &ar)
{
	CShape::Serialize( ar );
}
