// ShapeRect.cpp: implementation of the CShapeRect class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "MGShapes.h"
#include "ShapeRect.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
IMPLEMENT_SERIAL( CShapeRect, CShape, 1 )

CShapeRect::CShapeRect()
{

}

CShapeRect::~CShapeRect()
{

}

// MG: Sepcialized rectangle class
void CShapeRect::OnDraw(CDC *pDC)
{
	if( m_Points.GetSize() == 2 )
	{
		CRect Tmp( m_Points[0], m_Points[1] );
		pDC->Rectangle( & Tmp );
	}

}

void CShapeRect::MidPoint(CPoint &Point)
{
	MaxTwo( Point ); 
}

void CShapeRect::EndPoint(CPoint &Point)
{
	MaxTwo( Point ); 
}

void CShapeRect::Serialize(CArchive &ar)
{
	CShape::Serialize( ar );
}
