// InputDlg.cpp : implementation file
//

#include "stdafx.h"
#include "MGShapes.h"
#include "InputDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CInputDlg dialog


CInputDlg::CInputDlg( const char* Label, CString& Dest, CWnd* pParent /*=NULL*/)
	: CDialog(CInputDlg::IDD, pParent), m_Text( Dest )
{
	//{{AFX_DATA_INIT(CInputDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

	// MG: Setup label variable.  Note that m_Text is set up above, in initializer list
	m_Label = Label?Label:"Text:";
}


void CInputDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CInputDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CInputDlg, CDialog)
	//{{AFX_MSG_MAP(CInputDlg)
	ON_EN_CHANGE(IDC_INPUT, OnChangeInput)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CInputDlg message handlers

void CInputDlg::OnChangeInput() 
{
	CWnd* pOk = GetDlgItem(IDOK);
	CWnd* pWnd = GetDlgItem( IDC_INPUT );

	if( pWnd->GetWindowTextLength() == 0 )
		pOk->EnableWindow( FALSE );
	else
	{
		pOk->EnableWindow( TRUE );
		pOk->ModifyStyle( BS_DEFPUSHBUTTON, 0, 0 );
	}

}

BOOL CInputDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	// MG: Set the label text
	SetDlgItemText( IDC_LABEL, m_Label );
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CInputDlg::OnOK() 
{
	// Retrieve users input
	GetDlgItemText( IDC_INPUT, m_Text );
	
	CDialog::OnOK();
}
