// Shape.cpp: implementation of the CShape class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "MGShapes.h"
#include "Shape.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
IMPLEMENT_SERIAL( CShape, CObject, 1 )

// MG: Base class for shape objects.
CShape::CShape()
{

}

CShape::~CShape()
{

}

void CShape::StartPoint(CPoint &Point)
{
	m_Points.Add( Point );
}

void CShape::MidPoint(CPoint &Point)
{
	// Do nothing, and not pure virtual
}

void CShape::EndPoint(CPoint &Point)
{
	m_Points.Add( Point );
}

void CShape::OnDraw(CDC *pDC)
{

}

void CShape::MaxTwo(CPoint &Point)
{
	if( m_Points.GetSize()==2 )
		m_Points[1] = Point;
	else
		m_Points.Add( Point );
}

void CShape::Serialize(CArchive &ar)
{
	m_Points.Serialize( ar );
}
