// ShapeEllipse.cpp: implementation of the CShapeEllipse class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "MGShapes.h"
#include "ShapeEllipse.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
IMPLEMENT_SERIAL( CShapeEllipse, CShape, 1 )

CShapeEllipse::CShapeEllipse()
{

}

CShapeEllipse::~CShapeEllipse()
{

}

// MG: Sepcialized Ellipse class
void CShapeEllipse::MidPoint(CPoint &Point)
{
	MaxTwo( Point ); 
}

void CShapeEllipse::EndPoint(CPoint &Point)
{
	MaxTwo( Point ); 	
}

void CShapeEllipse::OnDraw(CDC *pDC)
{
	if( m_Points.GetSize() == 2 )
	{
		CRect X( m_Points[0], m_Points[1]);
		pDC->Ellipse( &X );
	}
}

void CShapeEllipse::Serialize(CArchive &ar)
{
	CShape::Serialize( ar );
}
