// ShapeFreeHand.cpp: implementation of the CShapeFreeHand class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "MGShapes.h"
#include "ShapeFreeHand.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

IMPLEMENT_SERIAL( CShapeFreeHand, CShape, 1 )

CShapeFreeHand::CShapeFreeHand()
{

}

CShapeFreeHand::~CShapeFreeHand()
{

}

void CShapeFreeHand::MidPoint(CPoint &point)
{
	m_Points.Add( point );
}

void CShapeFreeHand::OnDraw(CDC *pDC)
{
	int i = m_Points.GetSize();
	if( i )
	{
		pDC->MoveTo( m_Points[0] );
		for( int j = 1; j < i; j++ )
			pDC->LineTo( m_Points[j] );
	}
}

void CShapeFreeHand::Serialize(CArchive &ar)
{
	CShape::Serialize( ar );
}
